Subject: Re: bug#78120: 31.0.50; Calendar is not reliable with its marking

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 May 2025 18:37:36 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: Michael Heerdegen <[email-masked]>,  [email-masked]
> Date: Thu, 08 May 2025 16:03:56 +0200
> 
> BTW, I wonder it this can be related to redisplay since when hitting 'm'
> repeatedly, I see a flicker that was not present on my example with
> overlays (above in this thread).

Overlays are a display-time feature, so of course it's related to
redisplay.  It's redisplay that decides which of the overlays to show
when several of them "compete".

And if some Lisp sets up a hook that moves overlays, then you'll have
an immediate additional redisplay cycle, which might be what you see.

> > I think we can make them deterministic by specifying certain
> > priorities for each overlay.  If it turns out that the priorities we
> > specify don't produce the effect that some user wants, they could then
> > use the other face attributes, as you explain above (but maybe we
> > should document this facility in the user manual?).
> >
> > Still, I think the faces produced from sexp entities should take
> > precedent (via overlay priorities) over the other faces, as the
> > default.
> 
> I don't understand why you think so: a sexp entity could be of a lesser
> importance than a non-sexp one. For example:

I'm not talking about what _could_ be, I'm talking about what happens
in the majority of cases.

> That is why, regardless of the non-deterministic issue, I think that the
> user should have a way to express what is more important than something
> else.

What I said doesn't contradict the user's ability to affect the faces.
I'm just expressing an opinion about which overlay should by default
have the higher priority.  Surely, we need to make a decision like
that if we want the results to be completely deterministic?